Bug 835636 - boot warning >> udevd[493] specified group 'plugdev' unknown
boot warning >> udevd[493] specified group 'plugdev' unknown
Product: Fedora
Classification: Fedora
Component: argyllcms (Show other bugs)
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-06-26 12:49 EDT by Benny Amorsen
Modified: 2013-07-31 20:44 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 815093
Last Closed: 2013-07-31 20:44:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Benny Amorsen 2012-06-26 12:49:14 EDT
+++ This bug was initially created as a clone of Bug #815093 +++

The warning "udevd[493] specified group 'plugdev' unknown" is always shown on boot, the number varies each time, I guess that's to do with sequence systemd runs.

The boot sequence is not stopped and the installation runs correctly, except that the alsa interfaces sometimes show up late.

I can't find "plugdev" using a text search recursively in /etc - so I don't know where it's coming from.

Any ideas?

--- Additional comment from harald@redhat.com on 2012-04-23 06:31:49 EDT ---

$ fgrep -r plugdev /{etc,lib}/udev/rules.d
/etc/udev/rules.d/99-libftdi.rules:SUBSYSTEM=="usb", ATTRS{idVendor}=="0403", ATTRS{idProduct}=="6010", MODE="0664", GROUP="plugdev"

$ rpm -qf /etc/udev/rules.d/99-libftdi.rules

--- Additional comment from kay@redhat.com on 2012-04-23 07:16:42 EDT ---

The group "plugdev" is a pretty misguided and inflexible Ubuntu concept to grant
device access to ordinary users.

Fedora supports dynamic uder ACLs, and does not want to support any static
groups for users.

The rule needs to be fixed, the group "plugdev" should not exist on Fedora.


The same problem applies to argyllcms:

# fgrep -r plugdev /{etc,lib}/udev/rules.d
/lib/udev/rules.d/55-Argyll.rules:# Otherwise, restrict access to members of the plugdev group
/lib/udev/rules.d/55-Argyll.rules:ENV{COLOR_MEASUREMENT_DEVICE}=="*?", ENV{ACL_MANAGE}!="*?", MODE="660", GROUP="plugdev"
# rpm -qf /lib/udev/rules.d/55-Argyll.rules
Comment 1 Fedora Admin XMLRPC Client 2012-10-24 09:57:28 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Fedora End Of Life 2013-07-03 18:41:11 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2013-07-31 20:44:22 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.